Subject: Re: [PATCH v2 0/3] can: sja1000: support for technologic version

From: Marc Kleine-Budde <[email-masked]>
Date: Tue, 12 Jan 2016 08:56:48 +0100

On 01/11/2016 05:58 PM, Damien Riegel wrote:
> Hi Marc,
> 
> On Thu, Dec 24, 2015 at 12:42:50PM -0500, Damien Riegel wrote:
>> This patchset introduces support for the technologic version of the
>> SJA1000. Access to IP's registers are proxied through a window,
>> requiring two bus accesses to read or write a register. These accesses
>> must be protected by a spinlock to prevent race conditions. Currently,
>> there is no easy way to allocate and initialize this spinlock.
>>
>> SJA1000 already provides a way to allocate private data, but
>> sja1000_platform.c makes no use of it.
>>
>> Patch 1 adds the capability to allocate and initialize private data on a
>> per-compatible basis in sja1000_platform.c.
>>
>> Patch 2 updates device tree documentation to add the technologic
>> version.
>>
>> Patch 3 updates the driver to implement the technologic version
>>
> 
> Did you have a chance to take a look at this patchset? I would
> appreciate your feedback, especially on the first patch.

Done. 2/3 is ok. For the others see my comments.

Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |